require_relative 'auditable.rb'

module StudioGame
  class Die
    include Auditable

    def initialize
      roll ## initialized rolled even before is called as self.roll
    end

    attr_reader :number

    def roll
      @number = rand(1..6)
      audit
      @number
    end

    def to_s
        "rolled number is #{@number}"
    end
  end
end
